/* caligula - cairo based gtk+ theme
 *
 * Copyright © 2005 Red Hat, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

/* Simple random number used so that we can each widget drawn
 * differently from the others, but any given widget always drawn the
 * same way. */

#include "caligula-rand.h"

static unsigned long next = 1;

void
caligula_srand (unsigned seed) {
    next = seed;
}

int
caligula_rand (void) {
    next = next * 1103515245 + 12345;
    return ((unsigned) (next/65536) % 32768);
}

int
caligula_rand_within (int low, int high)
{
    return low + caligula_rand () / (CALIGULA_RAND_MAX / (high - low));
}
