/* caligula - cairo based gtk+ theme
 *
 * Copyright © 2005 Red Hat, Inc.
 * Based on CGE by Julien Boulnois.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef CALIGULA_RC_STYLE_H
#define CALIGULA_RC_STYLE_H

#include "caligula.h"

#include <gtk/gtkrc.h>

extern GType caligula_type_rc_style;

#define CALIGULA_TYPE_RC_STYLE		  caligula_type_rc_style
#define CALIGULA_RC_STYLE(obj)		  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CALIGULA_TYPE_RC_STYLE, CaligulaRcStyle))
#define CALIGULA_RC_STYLE_CLASS(klass)	  (G_TYPE_CHECK_CLASS_CAST ((klass), CALIGULA_TYPE_RC_STYLE, CaligulaRcStyleClass))
#define CALIGULA_IS_RC_STYLE(obj)	  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CALIGULA_TYPE_RC_STYLE))
#define CALIGULA_IS_RC_STYLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CALIGULA_TYPE_RC_STYLE))
#define CALIGULA_RC_STYLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CALIGULA_TYPE_RC_STYLE, CaligulaRcStyleClass))

typedef struct _CaligulaRcStyle {
    GtkRcStyle parent_instance;

    CaligulaDrawingStyle drawing_style;
    
    /* The pixel fields of the colors are used as a 'set' boolean */
    GdkColor window_top_color;
    GdkColor window_bottom_color;
} CaligulaRcStyle;

typedef struct _CaligulaRcStyleClass {
    GtkRcStyleClass parent_class;
} CaligulaRcStyleClass;;

void
caligula_rc_style_register_type (GTypeModule *module);

#endif
